<?php

class WactExamplesTemplateRepeatTestCase extends Wact_Test_Case_Web {

    function testExists() {
        $this->assertTrue($this->get(
            $this->getTestServerUrl('/acceptance/template/tags/repeat/repeat.php')));
        $this->assertNormalPage();
        $this->assertWantedPattern('~
          <table[^>]*>\s*
              <tr[^>]*>\s*
                <td[^>]*>George</td>\s*
                <td[^>]*>Washington</td>\s*
              </tr>\s*
              <tr[^>]*>\s*
                <td[^>]*>Alexander</td>\s*
                <td[^>]*>Hamilton</td>\s*
              </tr>\s*
              <tr[^>]*>\s*
                <td[^>]*>Benjamin</td>\s*
                <td[^>]*>Franklin</td>\s*
              </tr>\s*
          </table>\s*
          ~imx');
    }

}

?>